> ## Documentation Index
> Fetch the complete documentation index at: https://developer.fabric.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a permit

> Get a permit by providing its unique identifier in the request.



## OpenAPI

````yaml dropship_products.openapi get /v1/retailers/{retailer_id}/permits/{id}/
openapi: 3.0.0
info:
  title: Products API
  version: 1.0.0
  description: >
    Endpoints for retrieving product and variant information, permits, and
    fabric templates.
servers:
  - url: https://marketplace-api.fabric.inc
    description: Production server
security:
  - Bearer: []
tags:
  - name: Products
    description: Product and variant lookup
paths:
  /v1/retailers/{retailer_id}/permits/{id}/:
    get:
      tags:
        - Products
      summary: Get a permit
      description: Get a permit by providing its unique identifier in the request.
      parameters:
        - name: retailer_id
          in: path
          required: true
          description: >-
            The unique retailer ID. In the Dropship UI this is called the
            **Merchant ID**. To find your Merchant ID, click your merchant name
            in the top nav.
          schema:
            type: integer
            example: 1001
        - name: id
          in: path
          required: true
          description: >-
            The unique permit identifier. This ID is automatically generated
            when a permit is created.
          schema:
            type: integer
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PermitWithVariant'
components:
  schemas:
    PermitWithVariant:
      type: object
      properties:
        id:
          description: Permit ID
          example: 10004
          type: integer
          readOnly: true
        retailer:
          $ref: '#/components/schemas/RetailerShort'
        variant:
          $ref: '#/components/schemas/VariantMini'
        connection:
          $ref: '#/components/schemas/ConnectionPermit'
        retailer_price:
          description: Retailer price
          example: '12.99'
          type: string
          format: decimal
          nullable: true
        retailer_cost:
          description: Retailer cost
          example: '8.99'
          type: string
          format: decimal
          nullable: true
        pricing:
          $ref: '#/components/schemas/CollapsedAttributeValue'
        attributes:
          $ref: '#/components/schemas/CollapsedAttributeValue'
        start_at:
          description: Time of permit beginning
          example: '2021-07-10T15:24:56Z'
          type: string
          format: date-time
          nullable: true
        end_at:
          description: Time of permit ending
          example: '2022-11-10T15:24:56Z'
          type: string
          format: date-time
          nullable: true
        is_in_effect:
          description: 'true: Permit is in effect | false: Permit is not in effect'
          example: true
          type: boolean
          readOnly: true
        revoked_at:
          description: Time of when permit got revoked
          example: '2022-08-10T15:24:56Z'
          type: string
          format: date-time
          nullable: true
        is_acknowledged:
          description: 'true: Permit is acknowledged | false: Permit is not acknowledged'
          example: true
          type: boolean
          readOnly: true
        acknowledged_at:
          description: Time of permit acknowledgement (UTC format)
          example: '2022-08-10T15:24:56Z'
          type: string
          format: date-time
          nullable: true
    RetailerShort:
      required:
        - code
        - name
      type: object
      properties:
        id:
          description: Retailer ID
          example: 500
          type: integer
          readOnly: true
        name:
          description: Retailer name
          example: Demo Retailer
          maxLength: 64
          minLength: 1
          type: string
        code:
          description: Retailer code, which is retailer name in lower case and hyphenated
          example: demo-retailer
          maxLength: 32
          minLength: 1
          pattern: ^[-a-zA-Z0-9_]+$
          type: string
          format: slug
        logo_url:
          description: URL of retailer logo
          example: >-
            https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/logo-lg.png
          minLength: 1
          type: string
          format: uri
          readOnly: true
        cover_url:
          description: URL of retailer cover image
          example: >-
            https://images.sampke.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/cover.jpg
          minLength: 1
          type: string
          format: uri
          readOnly: true
        profile_tile_url:
          description: URL of retailer profile image
          example: >-
            https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/profile-tile.jpg
          minLength: 1
          type: string
          format: uri
          readOnly: true
        joined_at:
          description: Time of retailer joining Dropship (UTC format)
          example: '2021-08-03T17:24:12Z'
          type: string
          format: date-time
          readOnly: true
        is_rcn_retailer:
          description: >-
            true: Retailer is in Dropship network; Retailer is not in Dropship
            network
          example: false
          type: boolean
        is_onboarded:
          description: 'true: Retailer is onboarded | false: Retailer is not onboarded'
          example: false
          type: boolean
        platform:
          description: Platform on which retailer is onboarded
          example: fabric
          type: string
          enum:
            - fabric
        requires_subscription:
          description: >-
            Represents whether the retailer requires a subscription to use the
            platform.
          example: disabled
          type: string
          enum:
            - disabled
            - enabled
            - upcoming
        brand_permit_creation_allowed:
          description: >-
            true: Platform allows creation of brand permit | false: Platform
            doesn't require creation of brand permit
          example: false
          type: boolean
        website:
          description: Website URL
          example: https://demoabc.com
          maxLength: 100
          type: string
          format: uri
          nullable: true
        status:
          description: Retailer status
          example: active
          type: string
          enum:
            - active
            - setup
            - ghost
    VariantMini:
      type: object
      properties:
        id:
          description: Variant ID
          example: 249
          type: integer
          readOnly: true
        name:
          description: Variant name
          example: Var45
          maxLength: 200
          type: string
          nullable: true
        brand:
          $ref: '#/components/schemas/BrandMini'
        identifier:
          description: Stock Keeping Unit (SKU), unique identifier of a product
          example: 123-DEF12345
          maxLength: 128
          type: string
          nullable: true
        brand_identifier:
          description: Brand identifier
          example: HATR
          minLength: 1
          type: string
          readOnly: true
        upc:
          description: >-
            Universal product code (UPC) is a 12-digit combination of numbers
            assigned to each product in your dropshipping store
          example: 555555555202
          maxLength: 64
          type: string
        retailer_identifiers:
          type: array
          items:
            $ref: '#/components/schemas/RetailerIdentifier'
    ConnectionPermit:
      type: object
      properties:
        id:
          description: Connection permit ID
          example: 1000
          type: integer
          readOnly: true
        connection_fee:
          $ref: '#/components/schemas/ConnectionFee'
    CollapsedAttributeValue:
      type: object
      properties: {}
    BrandMini:
      required:
        - code
      type: object
      properties:
        id:
          description: Vendor ID
          example: 456
          type: integer
          readOnly: true
        code:
          description: Vendor code. Same as vendor name in lower case and hyphenated
          example: marla-store
          maxLength: 64
          minLength: 1
          pattern: ^[-a-zA-Z0-9_]+$
          type: string
          format: slug
        name:
          description: Vendor name
          example: Marla Store
          maxLength: 64
          minLength: 1
          type: string
    RetailerIdentifier:
      type: object
      properties:
        id:
          description: Retailer ID
          example: 5642
          type: integer
          readOnly: true
        retailer:
          $ref: '#/components/schemas/RetailerShort'
        identifier:
          description: Stock Keeping Unit (SKU), unique identifier of a product
          example: SKU976
          maxLength: 256
          type: string
          nullable: true
        name:
          description: Retailer name
          example: Retailer Sample
          maxLength: 256
          type: string
          nullable: true
    ConnectionFee:
      type: object
      properties:
        id:
          description: Connection fee ID
          example: 1000
          type: integer
          readOnly: true
        payment_model:
          description: Payment model
          example: managed
          type: string
          nullable: true
          enum:
            - direct
            - managed
        payment_terms:
          description: Payment terms
          example: net60
          type: string
          nullable: true
          enum:
            - net15
            - net30
            - net45
            - net60
            - net90
        net_price_method:
          description: Method used to calculate net price
          example: permit_cost
          type: string
          nullable: true
          enum:
            - estimated_commission
            - product_cost
            - specified_in_order
            - revshare
            - permit_cost
        revshare_fraction:
          description: Internal only
          example: '0.4000'
          type: string
          format: decimal
          nullable: true
        revc_fee_flat:
          description: Internal only
          example: '0.00'
          minLength: 1
          type: string
        revc_fee_fraction:
          description: Internal only
          example: '0.0300'
          minLength: 1
          type: string
        brand_fee_flat:
          description: Internal only
          example: '0.00'
          minLength: 1
          type: string
        brand_flat_order_fee:
          description: Internal only
          example: '0.00'
          type: string
          format: decimal
          nullable: true
        brand_percent_order_fee:
          description: Vendor percentage of order fee
          example: '0.0000'
          type: string
          format: decimal
          nullable: true
        effective_at:
          description: Time connection fee became effective (UTC format)
          example: '2015-10-10T00:00:00Z'
          type: string
          format: date-time
          readOnly: true
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer

````